#include <stdint.h>
#include <stdio.h>
#include <time.h>

extern float float32(float);
extern float float64(float);

extern double doubel32(double);
extern double double64(double);

extern long double extended32(long double);
extern long double extended64(long double);

int main()
{
	uint64_t i;
	clock_t tic, toc;

//	float32(7.3);
	float64(7.3);

//	double32(7.3);
	double64(7.3);

	extended32(7.3);
	extended64(7.3);

	tic = clock();

	for (i = 0; i < (UINT32_MAX >> 2); i++)
	{
		float64(7.3);
	}

	toc = clock();

	printf ("calculation in %.12e s\n", ((double) toc - (double) tic) / ((double) (UINT32_MAX >> 2) * (double) CLOCKS_PER_SEC));


	return;
}

